Module jdk.jdi
Package com.sun.jdi

## Class VMOutOfMemoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jdi.VMOutOfMemoryException

All Implemented Interfaces:
  `Serializable`

    public class VMOutOfMemoryException
    extends RuntimeException

Thrown to indicate that the requested operation cannot be completed because the target VM has run out of memory.

Since:
  1.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
`VMOutOfMemoryException()`
`VMOutOfMemoryException​(String s)`

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VMOutOfMemoryException

    public VMOutOfMemoryException()

#### VMOutOfMemoryException

    public VMOutOfMemoryException​(String s)